> ## Documentation Index
> Fetch the complete documentation index at: https://help.hoopai.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Bulk Update Products

> API to bulk update products (price, availability, collections, delete)



## OpenAPI

````yaml /api-reference/products/openapi.json post /products/bulk-update
openapi: 3.0.0
info:
  title: Products API
  description: Documentation for products API
  version: '1.0'
  contact: {}
servers:
  - url: https://services.leadconnectorhq.com
security: []
tags:
  - name: Products
    description: Documentation for products API
  - name: Prices
    description: Documentation for products API
  - name: Store
    description: Documentation for products API
  - name: Collections
    description: Documentation for products API
  - name: Reviews
    description: Documentation for products API
paths:
  /products/bulk-update:
    post:
      tags:
        - Products
      summary: Bulk Update Products
      description: API to bulk update products (price, availability, collections, delete)
      operationId: bulkUpdate
      parameters:
        - name: Version
          in: header
          description: API Version
          required: true
          schema:
            type: string
            enum:
              - '2021-07-28'
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/BulkUpdateDto'
      responses:
        '201':
          description: Products updated successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BulkUpdateResponseDto'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BadRequestDTO'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UnauthorizedDTO'
        '422':
          description: Unprocessable Entity
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UnprocessableDTO'
      security:
        - Location-Access:
            - products.write
components:
  schemas:
    BulkUpdateDto:
      type: object
      properties:
        altId:
          type: string
          description: Location Id or Agency Id
          example: 6578278e879ad2646715ba9c
        altType:
          type: string
          enum:
            - location
        type:
          type: string
          enum:
            - bulk-update-price
            - bulk-update-availability
            - bulk-update-product-collection
            - bulk-delete-products
            - bulk-update-currency
          description: Type of bulk update operation
          example: bulk-update-price
        productIds:
          example:
            - 5f8d0d55b54764421b7156c1
          description: Array of product IDs
          type: array
          items:
            type: string
        filters:
          $ref: '#/components/schemas/BulkUpdateFilters'
        price:
          $ref: '#/components/schemas/PriceUpdateField'
        compareAtPrice:
          $ref: '#/components/schemas/PriceUpdateField'
        availability:
          type: boolean
          description: New availability status
        collectionIds:
          description: Array of collection IDs
          type: array
          items:
            type: string
        currency:
          type: string
          description: Currency code
          example: USD
      required:
        - altId
        - altType
        - type
        - productIds
    BulkUpdateResponseDto:
      type: object
      properties:
        status:
          type: boolean
          description: Status of api action
          example: true
        message:
          type: string
          description: Success message
          example: Successfully created
      required:
        - status
    BadRequestDTO:
      type: object
      properties:
        statusCode:
          type: number
          example: 400
        message:
          type: string
          example: Bad Request
      required:
        - statusCode
        - message
    UnauthorizedDTO:
      type: object
      properties:
        statusCode:
          type: number
          example: 401
        message:
          type: string
          example: 'Invalid token: access token is invalid'
        error:
          type: string
          example: Unauthorized
      required:
        - statusCode
        - message
        - error
    UnprocessableDTO:
      type: object
      properties:
        statusCode:
          type: number
          example: 422
        message:
          type: array
          items:
            type: string
          example:
            - Unprocessable Entity
        error:
          type: string
          example: Unprocessable Entity
      required:
        - statusCode
        - message
        - error
    BulkUpdateFilters:
      type: object
      properties:
        collectionIds:
          description: Filter by collection IDs
          example:
            - 5f8d0d55b54764421b7156c1
            - 5f8d0d55b54764421b7156c2
          type: array
          items:
            type: string
        productType:
          type: string
          description: Filter by product type
          example: one-time
        availableInStore:
          type: boolean
          description: Filter by availability status
          example: true
        search:
          type: string
          description: Filter by search term
          example: blue t-shirt
    PriceUpdateField:
      type: object
      properties:
        type:
          type: string
          enum:
            - INCREASE_BY_AMOUNT
            - REDUCE_BY_AMOUNT
            - SET_NEW_PRICE
            - INCREASE_BY_PERCENTAGE
            - REDUCE_BY_PERCENTAGE
          description: Type of price update
          example: INCREASE_BY_AMOUNT
        value:
          type: number
          example: 100
          description: Value to update (amount or percentage based on type)
        roundToWhole:
          type: boolean
          description: Round to nearest whole number
          example: true
      required:
        - type
        - value

````